slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSCreate

Creates the default EPS context.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCreate(MPI_Comm comm,EPS *outeps)

Collective

### Input Parameter

| comm | - MPI communicator

### Output Parameter

| outeps | - location to put the EPS context

### Note

The default EPS type is EPSKRYLOVSCHUR

### See Also

EPSSetUp(), EPSSolve(), EPSDestroy(), EPS

### Level

beginner

### Location

src/eps/interface/epsbasic.c

### Examples

src/eps/tutorials/ex1.c
src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex2.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex4.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex7.c
src/eps/tutorials/ex9.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages